/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: ListenerB.java 65615 2012-03-29 19:02:39Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.callback.common;


import javax.persistence.*;


public class ListenerBB extends ListenerBase {

    public ListenerBB() {
        super();
    }
    
    @Override
    public void prePersist(CallbackStatusIF b) {
        super.prePersist(b);
    }

    @Override
    public void postPersist(Object b) {
        super.postPersist(b);
    }
    
    @Override
    public void preRemove(CallbackStatusIF b) {
        super.preRemove(b);
    }
    
    @Override
    public void postRemove(Object b) {
        super.postRemove(b);
    }
    
    @Override
    public void preUpdate(CallbackStatusIF b) {
        super.preUpdate(b);
    }
    
    @Override
    public void postUpdate(Object b) {
        super.postUpdate(b);
    }
    
    @PostLoad
    public void postLoad(CallbackStatusIF b) {
        super.postLoad(b);
    }
    
}
